Package com.independentsoft.office.charts

# Class Bar3DChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.Bar3DChart

public class Bar3DChart extends Chart
The Class Bar3DChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bar3DChart()`
  Instantiates a new bar3 d chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Bar3DChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `BarDirection`
  `getDirection()`
  Gets the direction.
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `int`
  `getGapDepth()`
  Gets the gap depth.
  `int`
  `getGapWidth()`
  Gets the gap width.
  `BarGrouping`
  `getGrouping()`
  Gets the grouping.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `List<BarChartSerie>`
  `getSeries()`
  Gets the series.
  `ShapeType`
  `getShapeType()`
  Gets the shape type.
  `long`
  `getThirdAxisID()`
  Gets the third axis id.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setDirection​(BarDirection direction)`
  Sets the direction.
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setGapDepth​(int gapDepth)`
  Sets the gap depth.
  `void`
  `setGapWidth​(int gapWidth)`
  Sets the gap width.
  `void`
  `setGrouping​(BarGrouping grouping)`
  Sets the grouping.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setShapeType​(ShapeType shapeType)`
  Sets the shape type.
  `void`
  `setThirdAxisID​(long thirdAxisID)`
  Sets the third axis id.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Bar3DChart

    public Bar3DChart()
    Instantiates a new bar3 d chart.

- ## Method Details

  - ### clone

    public Bar3DChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### getThirdAxisID

    public long getThirdAxisID()
    Gets the third axis id.
    Returns:
      the third axis id

  - ### setThirdAxisID

    public void setThirdAxisID​(long thirdAxisID)
    Sets the third axis id.
    Parameters:
      `thirdAxisID` - the new third axis id

  - ### getDirection

    public BarDirection getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(BarDirection direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getGapDepth

    public int getGapDepth()
    Gets the gap depth.
    Returns:
      the gap depth

  - ### setGapDepth

    public void setGapDepth​(int gapDepth)
    Sets the gap depth.
    Parameters:
      `gapDepth` - the new gap depth

  - ### getGapWidth

    public int getGapWidth()
    Gets the gap width.
    Returns:
      the gap width

  - ### setGapWidth

    public void setGapWidth​(int gapWidth)
    Sets the gap width.
    Parameters:
      `gapWidth` - the new gap width

  - ### getGrouping

    public BarGrouping getGrouping()
    Gets the grouping.
    Returns:
      the grouping

  - ### setGrouping

    public void setGrouping​(BarGrouping grouping)
    Sets the grouping.
    Parameters:
      `grouping` - the new grouping

  - ### getSeries

    public List<BarChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### getShapeType

    public ShapeType getShapeType()
    Gets the shape type.
    Returns:
      the shape type

  - ### setShapeType

    public void setShapeType​(ShapeType shapeType)
    Sets the shape type.
    Parameters:
      `shapeType` - the new shape type

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors